Subject: Re: BUG: warning at net/core/dev.c:1171/skb_checksum_help() 2.6.18-rc3

From: Patrick McHardy <[email-masked]>
Date: Thu, 03 Aug 2006 11:34:32 +0200

Herbert Xu wrote:
> On Thu, Aug 03, 2006 at 11:21:45AM +0200, Patrick McHardy wrote:
> 
>>This looks OK. But we also need this for the redirect to loopback case,
>>do you want me to put it in dev_gso_segment as well? nfmark and
>>secmark should go in skb_segment I guess?
> 
> 
> OK, you've convinced me.  Let's put them all into skb_segment.
> 
> However, I'd like to have the code shared between skb_segment and
> copy_skb_header so we have only one place to add things to in future.

Yes, that would be good. I'll send a patch later today ..